PDA

View Full Version : New to PSP, need advice.



IronX
October 28th, 2006, 11:41
Hi, I'm a former GBA SP fan and have gotten almost everything for it, installed every emulator there is and done it all... now I was thinking of upgrading to a new and better handheld colsole. My first choise was the Nintendo DS as I love retro looking games... but... I am a HUGE Amiga fan and know there's an Amiga emulator for the PSP (PSP-UAE)(www.recordedamigagames.org , www.retrogaming4ever.com etc...)

Now, before I buy a PSP, what do I have to look out for? I have read countless of threads/posts and have learned a bit and it seems that I should be carefull not to buy a PSP with 2.80+ as there is no downgrader yet, which is needed so that I can downgrade it to 1.5 or 1.70 something (seems like 1.5 is the most preferred one), also, there seems to be a "devhook" which (if I understood correctly) makes you have both 1.5 and 1.70 installed at the same time thus no need to upgrade to 1.70 if I have 1.5 (as some things might need 1.70 and other things might need 1.5). I also read somewhere that if the PSP has a a number on it.. something like ehh.. sd-82 (don't remember the name, and don't bother looking for that post again) it can't be firmwarilized?

So, guys. What should I look out for in detail, where on the PSP is the info located so I don't buy the wrong version etc?

I read that 1.0 is Japanese and 1.5 is US... what version would I have here in Sweden?

Btw, I want to play PSP games aswell as watch demos, movies, listen to music and emulate different systems (this detail seemed to be necessary in some threads)

Thanks for any guidance/tip/help etc :). Will buy myself a PSP when I know what needs to be known.

weirdelf
October 28th, 2006, 12:32
I would suggest buying a 1.50 from ebay or somewhere. They also sell them here http://www.kanection.co.uk/product.php/620/1//3b03411ec1bbffa8716670a1622cd12c
I assume that when you talk about 1.70 you mean 2.70
I would suggest when getting the psp that you should upgrade to 2.71 SE, which basically means that you have 2.71 and 1.50.

If you went out to a shop in sweden and bought one itwould probably be a TA-082 which means you cannot use 2.71 se or downgrade to 1.50.

If you insist on buying a ta-082 and want to use homebrew then use henc which can be found here
http://www.dcemu.co.uk/vbulletin/showthread.php?t=37415

IronX
October 28th, 2006, 12:40
I only want a new one, not a used one, so will check the gaming stores available where I live first.

If I were to buy the 1.5 from http://www.kanection.co.uk/product.php/620/1//3b03411ec1bbffa8716670a1622cd12c , is that site reliable? and is the 1.5 new? (not used :)).

Yeah, I meant the 2.70 :).

Ok, I will watch out for TA-082 so I don't accidently buy one. Is it on the back of the PSP this number thingy is located?

slamer687
October 29th, 2006, 03:28
behind the umd door ( top right of it )
and i agree if you get a 2.71 just use SE-B ( new version of SE-A )
has practically the same features
but i find 1.50 much easier
there is a downgrader however..

IronX
October 29th, 2006, 07:19
Is it easy to open/remove the umd door?... because I will be briefly lend a psp to test it before bying it, and I don't wanna do something that looks like I'm taking it appart :), or they will whoop my ass :D.

And, is there anyone that can approve this site: http://www.kanection.co.uk/product.php/620/1//3b03411ec1bbffa8716670a1622cd12c ?... because there are many fraud sites out there.


Thanks for the replies so far fellas :D.

splodger15
October 29th, 2006, 09:27
You can buy new 2.0 psps off ebay for 130 buy one then downgrade to 1.5

IronX
October 29th, 2006, 17:12
Couldn't find any 2.0's on ebay, only 1.5's, quite expensive, and have never bought anything off ebay..

Can someone give me a link to some place selling a good version?.... that you can approve?... I'm a fraid to be ripped off.


edit:

a funny link http://cgi.ebay.com/Sony-PlayStation-Portable-PSP-System-Games-Bundle-Look_W0QQitemZ290044036138QQihZ019QQcategoryZ62054 QQrdZ1QQcmdZViewItem?hash=item290044036138 look at that girl!, wow!... 8 bids so far cause of her....

splodger15
October 29th, 2006, 17:28
Have a look here


http://cgi.ebay.co.uk/NEW-SONY-PSP-1000-GAME-CONSOLE-PLAYSTATION-MP4-VIDEO_W0QQitemZ180043822945QQihZ008QQcategoryZ7555 6QQssPageNameZWDVWQQrdZ1QQcmdZViewItem

IronX
October 29th, 2006, 18:26
Have a look here


http://cgi.ebay.co.uk/NEW-SONY-PSP-1000-GAME-CONSOLE-PLAYSTATION-MP4-VIDEO_W0QQitemZ180043822945QQihZ008QQcategoryZ7555 6QQssPageNameZWDVWQQrdZ1QQcmdZViewItem

Yay, my first ebay buy.. registered and bought that sucka :)..... (9 left in stock it said, lucky *******s)...


Hope everything goes well and that I'll have it soon :).

IronX
October 29th, 2006, 21:01
Ok, I will plan ahead here now while waiting for the psp.

It will be a 2.0, what firmware should I use for 2.0?..... it's upgrading, downgrading.. makes me confused... also, I read I should install a custom firmware so incase it bricks, I can restore it.... how is this done?.. and if I install tha cusom firmware, can I still flash it to 1.5?


edit: ok, it's devhook I need I think so that I can play it all, can I use the custom firmware with devhook?, or is devhook a custom firmware that allows restore?.... what I'm saying maybe doesn't make sense :)

splodger15
October 29th, 2006, 21:25
you should update to 2.01 and downgrade using the easy downgrader then install custom firmware

IronX
October 30th, 2006, 06:58
Thanks splodger for all the help so far :).

Ok, so can you give me the links to the 2.01 upgrade, downgrade and the custom firmware please? :). Because if I hunt them down myself, I maybe get one of those that some jerk has made to intentionally brick other peoples psps.

Too bad I have to upgrade then downgrade before I can install the custom firmware... both upgrade and downgrade are dealing with the flash thingy, right?

splodger15
October 30th, 2006, 17:37
Here is the 2.01 update put this in a update folder inside the game folder

http://dl.qj.net/PSP-Firmware-2.01-File-(EBOOT)-North-America-PSP/pg/12/fid/281/catid/163



Here is the 2.01 easy downgrader link

http://www.psp-hacks.com/file/776

There is a little read me on that page because you need the eloader files as well

IronX
October 30th, 2006, 18:33
Yay, thanks... but why is it needed to upgrade to 2.01 first then downgrade?... can't I just use the easy downgrader first?... as my psp is a 2.0.

Also, after downgrading to 1.5, I will be able to run homebrew stuff?... I read somewhere that if I use 1.5, I will have problem playing psp games, is this true?... if so, should I use the devhook so I have 1.5 and 2.70 at the same time?....

btw, thanks again :)

splodger15
October 30th, 2006, 18:37
I think you dont have to upgrade you cant just run it using 2.0

Once you are at 1.5 you can play homebrew

Remember read the instructions very carefully

IronX
October 30th, 2006, 19:27
Yeah, I will read all the instruction carefully, just did it and will do it again when I get my psp.

So, with 1.5, I can run homebrew, can I still play original games on cd? without any problems?

splodger15
October 30th, 2006, 19:49
To play your umds you use devhook

Quaife
October 31st, 2006, 01:42
if you are wanting to play umd's aswell, i suggest you upgrade to 2.71 SE once your at 1.5.
This way you will still be able to run all your 1.5 homebrew, but you have the bonus of playing umd's requiring higher fw,web browser and all the other 2.71 bonuses without going through devhook all the time.

splodger15
October 31st, 2006, 18:09
if you are wanting to play umd's aswell, i suggest you upgrade to 2.71 SE once your at 1.5.

Why, he can just use devhook

MikeDX
October 31st, 2006, 18:23
Why, he can just use devhook

why bother.2.71SE is basically devhook + 1.5 all in one with no rebooting or mucking about.